import React, { Component } from "react";
import { NavLink } from "react-router-dom";
import "../assets/stylesheets/navbar.scss";

export default class NavBar extends Component {
  constructor(props) {
    super(props);
    this.state = {
      clicks: 0,
      timer: null,
    };
  }

  componentDidMount() {
    let path = window.location.pathname;
    if (path.includes("statistics")) {
      document.getElementById("statistics").style.backgroundColor = "#007CBE";
      document.getElementById("statistics-s").style.color = "white";
    } else if (path.includes("map")) {
      document.getElementById("map").style.backgroundColor = "#007CBE";
      document.getElementById("map-s").style.color = "white";
    } else if (path.includes("cable")) {
      document.getElementById("browse").style.backgroundColor = "#007CBE";
      document.getElementById("browse-s").style.color = "white";
    } else {
      document.getElementById("browse").style.backgroundColor = "#007CBE";
      document.getElementById("browse-s").style.color = "white";
    }
  }

  handleClick = () => {
    const { clicks, timer } = this.state;
    if (clicks === 0) {
      const newTimer = setTimeout(() => {
        this.setState({ clicks: 0 });
        clearTimeout(newTimer);
      }, 1000);
      this.setState({ timer: newTimer });
    }

    this.setState({ clicks: clicks + 1 });

    if (clicks + 1 === 3) {
      
      window.location.replace("/settings")

      clearTimeout(timer);
      this.setState({ clicks: 0, timer: null });
    }
  };

  componentWillUnmount() {
    if (this.state.timer) {
      clearTimeout(this.state.timer);
    }
  }

  render() {
    return (
      <div className="navbar">
        <div className="navbar-top">
          <div className="navbar-top-container">
            <div className="navbar-top-hamburger">≡</div>
            <div className="navbar-top-secret" onClick={this.handleClick}></div>
          </div>
          <h1>Jukebox</h1>
          <ol className="navbar-list">
            <NavLink className="navbar-list-item" id="browse" to="/browse">
              <span id="browse-s">🛍️ Browse</span>
            </NavLink>
            <NavLink className="navbar-list-item" id="map" to="/map">
              <span id="map-s">🗺️ Map</span>
            </NavLink>
            <NavLink
              className="navbar-list-item"
              id="statistics"
              to="/statistics"
            >
              <span id="statistics-s">📊 Statistics</span>
            </NavLink>
          </ol>
        </div>
      </div>
    );
  }
}
